bool ExportVT2(AnsiString filename)
{
	int aa,len;
	TStringList *outtext;
	AnsiString str;
	
	if((len=EffectRealLen(curEffect))<1) return false;
	
	outtext=new TStringList;
	
	try{
		outtext->Clear();
		outtext->Add("[Sample]");
		
		if(len>0x3f) len=0x3f;

                aa=0;
		while(aa<len)
		{
			str=ayBank[curEffect].ayEffect[aa].t?"T":"t";
			str+=ayBank[curEffect].ayEffect[aa].n?"N":"n";
			str+="e +"+IntToHex(ayBank[curEffect].ayEffect[aa].tone,3)+"_ ";
			str+="+"+IntToHex(ayBank[curEffect].ayEffect[aa].noise,2)+"_ ";
			str+=IntToHex(ayBank[curEffect].ayEffect[aa].volume,1)+"_";
			outtext->Add(str);
                        aa++;
		}
                if(aa<0x3f) outtext->Add("tne +000_ +00_ 0_ L");
		outtext->SaveToFile(filename);
	}
	__finally{
		delete outtext;
	}
	
	return true;
}